//
//  MyClass5_Weak.swift
//  StrongReferenceCycleProject
//
//  Created by Jon Hoffman on 12/22/14.
//  Copyright (c) 2014 Jon Hoffman. All rights reserved.
//

import Foundation

class MyClass1_Weak {
    var name = ""
    var class2: MyClass2_Weak?
    init(name: String) {
        self.name = name
        print("Inicjalizacja egzemplarza klasy class1_Weak o nazwie \(self.name)")
    }
    deinit {
        print("Usunięcie egzemplarza klasy class1_Weak o nazwie \(self.name)")
    }
}
